//============================
//    	Name: FONTS
//============================
__fontMain    = 'Circe';
__fontPrimal  = 'Roboto';
__fontGlyphs  = 'Glyphs';

__fontPreffix = 'i-';
__fontName    = __fontPreffix + __fontMain, __fontPreffix + __fontPrimal, sans-serif;

/* ==== FONTS ==== */
	fglyph  = __fontPreffix + __fontGlyphs;
	fmain   = __fontPreffix + __fontMain, sans-serif;
	fprimal = __fontPreffix + __fontPrimal, sans-serif;
	/* ==== ---- ==== */ 

/* ==== MainFonts ==== */
allFonts(name, groupSize, weightSize) {
	

	groupLight = 'Light' 'Regular' 'Bold';
	groupFull = 'Thin' 'Light' 'Regular' 'Medium' 'Bold' 'Black';
	weightLight = 300 400 700
	weightFull = 100 300 400 500 700 900
	

	group = groupSize
	weight = weightSize
	type = 'woff2' 'woff' 'ttf'
	dirName = 'fonts' + '/' + name + '/'
	
	@font-face {
		font-family __fontPreffix + name;
		src: local( __fontPreffix + name + '-' + group[i]), local(__fontPreffix + name + '-' + weight[i]),
		url( dirName + type[0] + '/' +  group[i] + '.' type[0] ) format( type[0] ),
		url( dirName + type[1] + '/' +  group[i] + '.' type[1] ) format( type[1] ),
		url( dirName + type[2] + '/' +  group[i] + '.' type[2] ) format( type[2] );
		font-style: normal;
		font-weight: weight[i]
		font-display: swap;
	}
}
/* ==== ---- ==== */


/* ==== Glyphs ==== */
glyphFonts(name) {

	@font-face {
		type = 'woff2' 'woff' 'ttf'
		dirName = 'fonts' + '/' + name + '/'
		x = 0;
		
		font-family __fontPreffix + name;
		src: local(__fontPreffix + name),
		url( dirName + type[x] + '/' + name + '.' type[x] ) format(type[x]);
		font-style: normal;
		font-weight: normal;
		font-display: block;
	}
}
/* ==== ---- ==== */

/* ==== Loader ==== */
for i in 0 .. 2 {
	allFonts(__fontMain, groupLight, weightLight);
}
for i in 0 .. 5 {
	allFonts(__fontPrimal,	groupFull, weightFull);
}

	// glyphFonts(__fontGlyphs)
/* ==== ---- ==== */